Security Enhanced Linux Reference Policy

# Layer: apps

## Module: openoffice

Tunables Interfaces

### Description:

Openoffice suite.

### Tunables:

openoffice_allow_email

##### Default value

false

##### Description

Determine whether openoffice writer can send emails directly (print to email). This is different from the functionality of sending emails through external clients which is always enabled.

openoffice_allow_update

##### Default value

true

##### Description

Determine whether openoffice can download software updates from the network (application and/or extensions).

openoffice_manage_all_user_content

##### Default value

false

##### Description

Grant the openoffice domains manage rights on all user content

openoffice_manage_generic_user_content

##### Default value

false

##### Description

Grant the openoffice domains manage rights on generic user content

openoffice_read_all_user_content

##### Default value

false

##### Description

Grant the openoffice domains read access to all user content

openoffice_read_generic_user_content

##### Default value

true

##### Description

Grant the openoffice domains read access to generic user content

Return

### Interfaces:

ooffice_dbus_chat( domain )

##### Summary

Send and receive dbus messages from and to the openoffice domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ooffice_domtrans( domain )

##### Summary

Run openoffice in its own domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ooffice_dontaudit_exec_tmp_files( domain )

##### Summary

Do not audit attempts to execute files in temporary directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

ooffice_role( role , domain )

##### Summary

Role access for openoffice.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

ooffice_rw_tmp_files( domain )

##### Summary

Read and write temporary openoffice files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ooffice_stream_connect( domain )

##### Summary

Connect to openoffice using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return